<?php

namespace Drupal\commerce_product_quantity\Controller;

use Drupal\commerce_product_quantity\Utility\DescriptionTemplateTrait;
use Drupal\Core\Controller\ControllerBase;

/**
 * Controller for product configuration page.
 */
class ProductController extends ControllerBase {
  use DescriptionTemplateTrait;

  /*
   * This file handles product configuration.
   *
   * Page rendering in the Drupal commerce module.
   */

  /**
   * {@inheritdoc}
   */
  protected function getModuleName() {
    return 'product_module';
  }

  /**
   * {@inheritdoc}
   */
  public function productPages() {
    return [
      'description' => $this->description('config-page'),
      '#theme' => 'config-page',
      '#site_permission' => \Drupal::currentUser()->hasPermission('access Site reports page'),
    ];
  }

}
